Skip to content
Fetching contributors…
Cannot retrieve contributors at this time
24 lines (14 sloc) 743 Bytes
These installation instructions are written for a Linux system, but
should work also on other plattforms as Windows is.
Building the plugin requires Geany 0.20 or above (Geany Plugin API v147
or higher).
You need the build environment installed as described at:
http://www.geany.org/manual/reference/howto.html
The following two lines when executed from the shell compile the plugin:
gcc -c geanymacro.c -Wformat=0 -fPIC `pkg-config --cflags geany`
gcc geanymacro.o -o geanymacro.so -shared `pkg-config --libs geany`
The following line moves it into geany's plugin directory
sudo cp geanymacro.so `pkg-config --variable=libdir geany`/geany/
The following lines clean up files used during compilation:
rm geanymacro.o
rm geanymacro.so
Something went wrong with that request. Please try again.